<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_DoorlockCommand StructType
 * @subpackage Structs
 */
class Send_DoorlockCommand extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DoorlockCommand
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DoorlockCommand
     */
    public $DoorlockCommand;
    /**
     * Constructor method for Send_DoorlockCommand
     * @uses Send_DoorlockCommand::setLogin()
     * @uses Send_DoorlockCommand::setDoorlockCommand()
     * @param \StructType\Login $login
     * @param \StructType\DoorlockCommand $doorlockCommand
     */
    public function __construct(\StructType\Login $login = null, \StructType\DoorlockCommand $doorlockCommand = null)
    {
        $this
            ->setLogin($login)
            ->setDoorlockCommand($doorlockCommand);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_DoorlockCommand
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DoorlockCommand value
     * @return \StructType\DoorlockCommand|null
     */
    public function getDoorlockCommand()
    {
        return $this->DoorlockCommand;
    }
    /**
     * Set DoorlockCommand value
     * @param \StructType\DoorlockCommand $doorlockCommand
     * @return \StructType\Send_DoorlockCommand
     */
    public function setDoorlockCommand(\StructType\DoorlockCommand $doorlockCommand = null)
    {
        $this->DoorlockCommand = $doorlockCommand;
        return $this;
    }
}
